org.eclipse.microprofile.opentracing.tck.application

## Class TestWebServicesApplication

- java.lang.Object
- - jakarta.ws.rs.core.Application
  - - org.eclipse.microprofile.opentracing.tck.application.TestWebServicesApplication

    @ApplicationPath(value="rest")
    public class TestWebServicesApplication
    extends jakarta.ws.rs.core.Application

Test web services JAXRS application.

### Constructor Summary

Constructors
Constructor and Description
`TestWebServicesApplication()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<Class<?>>` `getClasses()`

### Methods inherited from class jakarta.ws.rs.core.Application

`getProperties, getSingletons`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestWebServicesApplication

    public TestWebServicesApplication()

### Method Detail

#### getClasses

    public Set<Class<?>> getClasses()

Overrides:
  `getClasses` in class `jakarta.ws.rs.core.Application`